Delete Conversation
curl --request DELETE \
--url https://{appid}.api-{region}.cometchat.io/v3/conversations/{conversationId} \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/conversations/{conversationId}"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The conversation group_project-group has been deleted successfully for all the users."
}
}Conversations
Delete Conversation
deprecated
This API is deprecated please use Reset User/GroupConversation API
DELETE
/
conversations
/
{conversationId}
Delete Conversation
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
(Required) conversation id
Response
200 - application/json
Deleted Conversations
⌘I